package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;

import java.util.Date;

/**
 * 菜单对象 hs_canteen_menu
 *
 * @author songyu
 * @date 2021-12-02
 */

@TableName("hs_canteen_menu")
public class HsCanteenMenu
{
    private static final long serialVersionUID = 1L;

    /** 菜单id */
    @TableId
    private String menuId;

    /** 菜单编号 */
    @Excel(name = "菜单编号")
    private String menuNumber;

    /** 菜单名称 */
    @Excel(name = "菜单名称")
    private String menuName;

    /** 时段id */
    @Excel(name = "时段id")
    private Integer periodId;

    /** 消费模式id */
    @Excel(name = "消费模式id")
    private Integer patternId;

    /** 消费人员类型 */
    @Excel(name = "消费人员类型")
    private String consumerType;

    @Excel(name = "机构代码")
    private String jgid;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "菜单使用日期")
    private Date useDate;

    @Excel(name = "就餐地")
    private String diningPlace;

    @Excel(name = "菜单菜品最大数量")
    private Integer maxCount;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setMenuId(String menuId)
    {
        this.menuId = menuId;
    }

    public String getMenuId()
    {
        return menuId;
    }
    public void setMenuNumber(String menuNumber)
    {
        this.menuNumber = menuNumber;
    }

    public String getMenuNumber()
    {
        return menuNumber;
    }
    public void setMenuName(String menuName)
    {
        this.menuName = menuName;
    }

    public String getMenuName()
    {
        return menuName;
    }
    public void setPeriodId(Integer periodId)
    {
        this.periodId = periodId;
    }

    public Integer getPeriodId()
    {
        return periodId;
    }
    public void setPatternId(Integer patternId)
    {
        this.patternId = patternId;
    }

    public Integer getPatternId()
    {
        return patternId;
    }

    public String getConsumerType() {
        return consumerType;
    }

    public void setConsumerType(String consumerType) {
        this.consumerType = consumerType;
    }

    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public Date getUseDate() {
        return useDate;
    }

    public void setUseDate(Date useDate) {
        this.useDate = useDate;
    }

    public String getDiningPlace() {
        return diningPlace;
    }

    public void setDiningPlace(String diningPlace) {
        this.diningPlace = diningPlace;
    }

    public Integer getMaxCount() {
        return maxCount;
    }

    public void setMaxCount(Integer maxCount) {
        this.maxCount = maxCount;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("HsCanteenMenu{");
        sb.append("menuId='").append(menuId).append('\'');
        sb.append(", menuNumber='").append(menuNumber).append('\'');
        sb.append(", menuName='").append(menuName).append('\'');
        sb.append(", periodId=").append(periodId);
        sb.append(", patternId=").append(patternId);
        sb.append(", consumerType=").append(consumerType);
        sb.append(", jgid='").append(jgid).append('\'');
        sb.append(", useDate=").append(useDate);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", maxCount=").append(maxCount);
        sb.append(", diningPlace").append(diningPlace);
        sb.append('}');
        return sb.toString();
    }
}
